<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

$time=time();

echo '<img src="../images/img/partners.gif" alt=""> <b>Здоровье</b><br><br>';

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}

if($udata[55]==1){

//-------------------- Главная страница ----------------------//
if(!isset($action)){
echo 'У вас в наличии: '.moneys($udata[41]).'<br>';
echo 'Хотите поправить свое здоровье?<br>';
echo 'В данный момент уровень вашего здоровья равен <b>'.(int)$udata[56].'</b>%<br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$udata[56].'&amp;imgs=1" alt=""><br>';


echo 'Вы можете увеличить уровень разными способами<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=0&amp;'.SID.'">Покопаться в мусорке</a></b> (Бесплатно)<br>';
echo '(Увеличивает твое здоровье всего на 1%, если повезет что-то там найти, утоляет голод на 1 час)<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=1&amp;'.SID.'">Выпить пива</a></b> (Цена: '.moneys(100).')<br>';
echo '(Увеличивает ваше здоровье на 3%, самая дешевая цена, утоляет голод на 2 часа)<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=2&amp;'.SID.'">Съесть гамбургер</a></b> (Цена: '.moneys(500).')<br>';
echo '(Увеличивает ваше здоровье на 5%, утоляет голод на 3 часа)<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=3&amp;'.SID.'">Съесть пиццу</a></b> (Цена: '.moneys(1500).')<br>';
echo '(Увеличивает ваше здоровье на 10%, утоляет голод на 3,5 часа)<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=4&amp;'.SID.'">Съесть жареную рыбу</a></b> (Цена: '.moneys(5000).')<br>';
echo '(Увеличивает ваше здоровье на 15%, средняя цена, утоляет голод на 4 часа)<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=5&amp;'.SID.'">Съесть жареную курицу</a></b> (Цена: '.moneys(10000).')<br>';
echo '(Увеличивает ваше здоровье на 20%, утоляет голод на 4,5 часа)<br><br>';

echo '<b><a href="health.php?action=operacia&amp;pred=6&amp;'.SID.'">Съесть жареного поросенка</a></b> (Цена: '.moneys(25000).')<br>';
echo '(Увеличивает ваше здоровье на 25%, утоляет голод на 5 часов)<br><br>';


echo 'Нажмите на выбранный вами товар и при достаточном количестве денег вы сможете поправить свое здоровье<br>';
echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br>';
}


if($action=="operacia"){
if($pred!=""){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

//-----------------------------------//
if($pred==0){
if(($udata[56]+1)<=100){
if($udata[61]<$time){	
	
$udata[56]=round($udata[56]+1);
$udata[61]=$time+3600;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 1 час<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять<br><br>';}
}
//-----------------------------------//

if($pred==1){
if($udata[41]>=100){
if(($udata[56]+3)<=100){
if($udata[61]<$time){	
	
$udata[41]=round($udata[41]-100);
$udata[56]=round($udata[56]+3);
$udata[61]=$time+3600*2;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 2 часа<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}


//-----------------------------------//
if($pred==2){
if($udata[41]>=500){
if(($udata[56]+5)<=100){
if($udata[61]<$time){	
	
$udata[41]=round($udata[41]-500);
$udata[56]=round($udata[56]+5);
$udata[61]=$time+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 3 часа<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять настолько<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}

//-----------------------------------//
if($pred==3){
if($udata[41]>=1500){
if(($udata[56]+10)<=100){
if($udata[61]<$time){	
	
$udata[41]=round($udata[41]-1500);
$udata[56]=round($udata[56]+10);
$udata[61]=$time+1800+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 3,5 часа<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять настолько<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}


//-----------------------------------//
if($pred==4){
if($udata[41]>=5000){
if(($udata[56]+15)<=100){
if($udata[61]<$time){	
	
$udata[41]=round($udata[41]-5000);
$udata[56]=round($udata[56]+15);
$udata[61]=$time+3600*4;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 4 часа<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять настолько<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}

//-----------------------------------//
if($pred==5){
if($udata[41]>=10000){
if(($udata[56]+20)<=100){
if($udata[61]<$time){	
	
$udata[41]=round($udata[41]-10000);
$udata[56]=round($udata[56]+20);
$udata[61]=$time+1800+3600*4;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 4,5 часа<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять настолько<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}

//-----------------------------------//
if($pred==6){
if($udata[41]>=25000){
if(($udata[56]+25)<=100){
if($udata[61]<$time){	
	
$udata[41]=round($udata[41]-25000);
$udata[56]=round($udata[56]+25);
$udata[61]=$time+3600*5;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своего здоровья!<br>';
echo 'Следующее улучшение состояния здоровья возможно не ранее чем через 5 часов<br><br>';
}else{echo 'Увеличивать свое здоровье можно не чаще чем пока не начался голод<br><br>';}
}else{echo 'У вас достаточный уровень здоровья, вам незачем его пополнять настолько<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}

echo 'Уровень вашего здоровья равен <b>'.(int)$udata[56].'</b>%<br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$udata[56].'&amp;imgs=1" alt=""><br>';


}else{echo 'Вы забыли выбрать предмет который хотите купить<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="health.php?'.SID.'">Вернуться</a>';
}
	
}else{echo 'Ошибка! Ваш персонаж игры не включен! Для того чтобы его включить, измените свои настройки<br>';
echo 'Персонаж позволит вам участвовать в разных играх, боях, покупать оружие, прокачивать своего бойца, зарабатывать деньги и многое другое<br>';
echo'<br><img src="../images/img/panel.gif" alt=""> <a href="../pages/setting.php?'.SID.'">Настройки</a>';
}	
	
}else{echo'<br>Для того чтобы совершать операции вы должны быть авторизованы<br><br>';}
echo'<br><img src="../images/img/many.gif" alt=""> <a href="../games/bank.php?'.SID.'">Банк</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>